#if !defined HATP_WAIT_HH_
#define HATP_WAIT_HH_

#include<utility>
#include<list>

/**
 * this methods waits that a given temporal deadline is reached or a socket contains
 * data to read or is in an exception state.
 */
std::pair<bool, bool> waitBySelect(int, double);

/**
 * this methods waits that a socket contains data to read or is in an exception state
 */
bool waitBySelect(int);

#endif
